///
/// Solid State by HTML5 UP
/// html5up.net | @ajlkn
/// Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
///
/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


/* Type */

body, input, select, textarea {
    color: _palette(fg);
    font-family: _font(family);
    font-size: 16.5pt;
    font-weight: _font(weight);
    line-height: 1.65;
}

a {
    @include vendor('transition', 'color #{_duration(transition)} ease-in-out, border-bottom-color #{_duration(transition)} ease-in-out');
    border-bottom: dotted 1px _palette(fg-light);
    text-decoration: none;

    &:hover {
        border-bottom-color: transparent;
    }
}

strong, b {
    font-weight: _font(weight-bold);
}

em {
    font-style: italic;
}

p {
    margin: 0 0 _size(element-margin) 0;
}

h1, h2, h3, h4, h5, h6 {
    font-family: _font(family-heading);
    font-weight: _font(weight-heading-bold);
    //letter-spacing: _font(kern-heading);
    margin: 0 0 (_size(element-margin) * 0.5) 0;
    text-transform: uppercase;

    a {
        color: inherit;
        text-decoration: none;
    }
}

h2 {
    font-size: 1.2em;
}

h3 {
    font-size: 0.9em;
}

sub {
    font-size: 0.8em;
    position: relative;
    top: 0.5em;
}

sup {
    font-size: 0.8em;
    position: relative;
    top: -0.5em;
}

blockquote {
    font-style: italic;
    /*
    */
}

blockquote:before, blockquote:after {
    font-size: 3em;
    display: block;
    height: 1em;
    line-height: 1.5;
}
blockquote:before {
    content: '“';
}
blockquote:after {
    content: '”';
}

code {
    background: _palette(border-bg);
    border-radius: _size(border-radius);
    border: solid 2px _palette(border);
    font-family: _font(family-fixed);
    font-size: 0.9em;
    margin: 0 0.25em;
    padding: 0.25em 0.65em;
}

pre {
    -webkit-overflow-scrolling: touch;
    font-family: _font(family-fixed);
    font-size: 0.9em;
    margin: 0 0 _size(element-margin) 0;

    code {
        display: block;
        line-height: 1.75em;
        padding: 1em 1.5em;
        overflow-x: auto;
    }
}

hr {
    border: 0;
    border-bottom: solid 2px _palette(border);
    margin: (_size(element-margin) * 1.25) 0;
}

.align-left {
    text-align: left;
}

.align-center {
    text-align: center;
}

.align-right {
    text-align: right;
}
